Bug 978445 - OSError: [Errno 3] No such process
Summary: OSError: [Errno 3] No such process
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5728801ece9745224af10a25b83...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-26 16:04 UTC by Mark Hamzy
Modified: 2015-02-17 15:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:42:36 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (519.00 KB, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: anaconda.log (8.08 KB, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: environ (405 bytes, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: lsblk_output (1.89 KB, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: nmcli_dev_list (3.65 KB, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: os_info (179 bytes, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: program.log (37.39 KB, text/plain)
2013-06-26 16:04 UTC, Mark Hamzy
no flags Details
File: storage.log (120.24 KB, text/plain)
2013-06-26 16:05 UTC, Mark Hamzy
no flags Details
File: syslog (61.31 KB, text/plain)
2013-06-26 16:05 UTC, Mark Hamzy
no flags Details
File: ifcfg.log (1.15 KB, text/plain)
2013-06-26 16:05 UTC, Mark Hamzy
no flags Details
File: packaging.log (147.54 KB, text/plain)
2013-06-26 16:05 UTC, Mark Hamzy
no flags Details

Description Mark Hamzy 2013-06-26 16:04:19 UTC
Description of problem:
I clicked + on the Network Settings page and then clicked done.

I know that this system does have an eth1 on it.

Version-Release number of selected component:
anaconda-19.30.12-1

The following was filed automatically by anaconda:
anaconda 19.30.12-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/subprocess.py", line 1527, in send_signal
    os.kill(self.pid, sig)
  File "/usr/lib64/python2.7/subprocess.py", line 1537, in kill
    self.send_signal(signal.SIGKILL)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 463, in kill_nmce
    self._running_nmce.kill()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1300, in apply
    self.network_control_box.kill_nmce(msg="leaving network spoke")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 129, in _runSpoke
    action.apply()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 403, in _on_spoke_clicked
    self._runSpoke(spoke)
OSError: [Errno 3] No such process

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ro  inst.vnc
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Comment 1 Mark Hamzy 2013-06-26 16:04:32 UTC
Created attachment 765671 [details]
File: anaconda-tb

Comment 2 Mark Hamzy 2013-06-26 16:04:36 UTC
Created attachment 765672 [details]
File: anaconda.log

Comment 3 Mark Hamzy 2013-06-26 16:04:40 UTC
Created attachment 765673 [details]
File: environ

Comment 4 Mark Hamzy 2013-06-26 16:04:44 UTC
Created attachment 765674 [details]
File: lsblk_output

Comment 5 Mark Hamzy 2013-06-26 16:04:48 UTC
Created attachment 765675 [details]
File: nmcli_dev_list

Comment 6 Mark Hamzy 2013-06-26 16:04:51 UTC
Created attachment 765676 [details]
File: os_info

Comment 7 Mark Hamzy 2013-06-26 16:04:55 UTC
Created attachment 765677 [details]
File: program.log

Comment 8 Mark Hamzy 2013-06-26 16:05:00 UTC
Created attachment 765678 [details]
File: storage.log

Comment 9 Mark Hamzy 2013-06-26 16:05:10 UTC
Created attachment 765679 [details]
File: syslog

Comment 10 Mark Hamzy 2013-06-26 16:05:14 UTC
Created attachment 765680 [details]
File: ifcfg.log

Comment 11 Mark Hamzy 2013-06-26 16:05:21 UTC
Created attachment 765681 [details]
File: packaging.log

Comment 12 Mark Hamzy 2013-06-26 18:43:51 UTC
[anaconda root@localhost /]# cat /var/lib/NetworkManager/dhclient-0631ca6a-a079-4ce9-b090-dcbb02fd7227-eth0.lease
lease {
  interface "eth0";
  fixed-address 9.5.211.215;
  option subnet-mask 255.255.255.0;
  option time-offset -21600;
  option dhcp-lease-time 14400;
  option routers 9.5.211.1;
  option dhcp-message-type 5;
  option dhcp-server-identifier 9.5.175.8;
  option domain-name-servers 9.5.175.8,9.42.242.28;
  option domain-name "rch.stglabs.ibm.com";
  renew 3 2013/06/26 19:35:37;
  rebind 3 2013/06/26 21:12:19;
  expire 3 2013/06/26 21:42:19;
}
lease {
  interface "eth0";
  fixed-address 9.5.211.215;
  option subnet-mask 255.255.255.0;
  option time-offset -21600;
  option routers 9.5.211.1;
  option dhcp-lease-time 14400;
  option dhcp-message-type 5;
  option domain-name-servers 9.5.175.8,9.42.242.28;
  option dhcp-server-identifier 9.5.175.8;
  option domain-search ;
  option domain-name "rch.stglabs.ibm.com";
  renew 3 2013/06/26 19:28:17;
  rebind 3 2013/06/26 21:12:25;
  expire 3 2013/06/26 21:42:25;
}

17:42:25,169 ERR dhclient: /var/lib/NetworkManager/dhclient-0631ca6a-a079-4ce9-b090-dcbb02fd7227-eth0.lease line 11: Expecting a domain string.
17:42:25,169 ERR dhclient:   option domain-search ;


So it seems that the new lease information has "option domain-search ;" in it.  Does anyone know who might be writing this file?

Comment 13 Dan Williams 2013-06-28 16:28:44 UTC
dhclient writes this file, based on a name given to it by NetworkManager.  So if the file is mis-formatted it's most likely dhclient that's writing it out incorrectly, as nothing else should ever be writing them.

Comment 14 Fedora End Of Life 2015-01-09 18:32:57 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 15:42:36 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.